/*******************************************************************************
* File Name: FQ.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_FQ_H) /* Pins FQ_H */
#define CY_PINS_FQ_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "FQ_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 FQ__PORT == 15 && ((FQ__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    FQ_Write(uint8 value) ;
void    FQ_SetDriveMode(uint8 mode) ;
uint8   FQ_ReadDataReg(void) ;
uint8   FQ_Read(void) ;
uint8   FQ_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define FQ_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define FQ_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define FQ_DM_RES_UP          PIN_DM_RES_UP
#define FQ_DM_RES_DWN         PIN_DM_RES_DWN
#define FQ_DM_OD_LO           PIN_DM_OD_LO
#define FQ_DM_OD_HI           PIN_DM_OD_HI
#define FQ_DM_STRONG          PIN_DM_STRONG
#define FQ_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define FQ_MASK               FQ__MASK
#define FQ_SHIFT              FQ__SHIFT
#define FQ_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define FQ_PS                     (* (reg8 *) FQ__PS)
/* Data Register */
#define FQ_DR                     (* (reg8 *) FQ__DR)
/* Port Number */
#define FQ_PRT_NUM                (* (reg8 *) FQ__PRT) 
/* Connect to Analog Globals */                                                  
#define FQ_AG                     (* (reg8 *) FQ__AG)                       
/* Analog MUX bux enable */
#define FQ_AMUX                   (* (reg8 *) FQ__AMUX) 
/* Bidirectional Enable */                                                        
#define FQ_BIE                    (* (reg8 *) FQ__BIE)
/* Bit-mask for Aliased Register Access */
#define FQ_BIT_MASK               (* (reg8 *) FQ__BIT_MASK)
/* Bypass Enable */
#define FQ_BYP                    (* (reg8 *) FQ__BYP)
/* Port wide control signals */                                                   
#define FQ_CTL                    (* (reg8 *) FQ__CTL)
/* Drive Modes */
#define FQ_DM0                    (* (reg8 *) FQ__DM0) 
#define FQ_DM1                    (* (reg8 *) FQ__DM1)
#define FQ_DM2                    (* (reg8 *) FQ__DM2) 
/* Input Buffer Disable Override */
#define FQ_INP_DIS                (* (reg8 *) FQ__INP_DIS)
/* LCD Common or Segment Drive */
#define FQ_LCD_COM_SEG            (* (reg8 *) FQ__LCD_COM_SEG)
/* Enable Segment LCD */
#define FQ_LCD_EN                 (* (reg8 *) FQ__LCD_EN)
/* Slew Rate Control */
#define FQ_SLW                    (* (reg8 *) FQ__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define FQ_PRTDSI__CAPS_SEL       (* (reg8 *) FQ__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define FQ_PRTDSI__DBL_SYNC_IN    (* (reg8 *) FQ__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define FQ_PRTDSI__OE_SEL0        (* (reg8 *) FQ__PRTDSI__OE_SEL0) 
#define FQ_PRTDSI__OE_SEL1        (* (reg8 *) FQ__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define FQ_PRTDSI__OUT_SEL0       (* (reg8 *) FQ__PRTDSI__OUT_SEL0) 
#define FQ_PRTDSI__OUT_SEL1       (* (reg8 *) FQ__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define FQ_PRTDSI__SYNC_OUT       (* (reg8 *) FQ__PRTDSI__SYNC_OUT) 


#if defined(FQ__INTSTAT)  /* Interrupt Registers */

    #define FQ_INTSTAT                (* (reg8 *) FQ__INTSTAT)
    #define FQ_SNAP                   (* (reg8 *) FQ__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_FQ_H */


/* [] END OF FILE */
