/*******************************************************************************
* File Name: F_DATA.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_F_DATA_H) /* Pins F_DATA_H */
#define CY_PINS_F_DATA_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "F_DATA_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 F_DATA__PORT == 15 && ((F_DATA__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    F_DATA_Write(uint8 value) ;
void    F_DATA_SetDriveMode(uint8 mode) ;
uint8   F_DATA_ReadDataReg(void) ;
uint8   F_DATA_Read(void) ;
uint8   F_DATA_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define F_DATA_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define F_DATA_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define F_DATA_DM_RES_UP          PIN_DM_RES_UP
#define F_DATA_DM_RES_DWN         PIN_DM_RES_DWN
#define F_DATA_DM_OD_LO           PIN_DM_OD_LO
#define F_DATA_DM_OD_HI           PIN_DM_OD_HI
#define F_DATA_DM_STRONG          PIN_DM_STRONG
#define F_DATA_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define F_DATA_MASK               F_DATA__MASK
#define F_DATA_SHIFT              F_DATA__SHIFT
#define F_DATA_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define F_DATA_PS                     (* (reg8 *) F_DATA__PS)
/* Data Register */
#define F_DATA_DR                     (* (reg8 *) F_DATA__DR)
/* Port Number */
#define F_DATA_PRT_NUM                (* (reg8 *) F_DATA__PRT) 
/* Connect to Analog Globals */                                                  
#define F_DATA_AG                     (* (reg8 *) F_DATA__AG)                       
/* Analog MUX bux enable */
#define F_DATA_AMUX                   (* (reg8 *) F_DATA__AMUX) 
/* Bidirectional Enable */                                                        
#define F_DATA_BIE                    (* (reg8 *) F_DATA__BIE)
/* Bit-mask for Aliased Register Access */
#define F_DATA_BIT_MASK               (* (reg8 *) F_DATA__BIT_MASK)
/* Bypass Enable */
#define F_DATA_BYP                    (* (reg8 *) F_DATA__BYP)
/* Port wide control signals */                                                   
#define F_DATA_CTL                    (* (reg8 *) F_DATA__CTL)
/* Drive Modes */
#define F_DATA_DM0                    (* (reg8 *) F_DATA__DM0) 
#define F_DATA_DM1                    (* (reg8 *) F_DATA__DM1)
#define F_DATA_DM2                    (* (reg8 *) F_DATA__DM2) 
/* Input Buffer Disable Override */
#define F_DATA_INP_DIS                (* (reg8 *) F_DATA__INP_DIS)
/* LCD Common or Segment Drive */
#define F_DATA_LCD_COM_SEG            (* (reg8 *) F_DATA__LCD_COM_SEG)
/* Enable Segment LCD */
#define F_DATA_LCD_EN                 (* (reg8 *) F_DATA__LCD_EN)
/* Slew Rate Control */
#define F_DATA_SLW                    (* (reg8 *) F_DATA__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define F_DATA_PRTDSI__CAPS_SEL       (* (reg8 *) F_DATA__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define F_DATA_PRTDSI__DBL_SYNC_IN    (* (reg8 *) F_DATA__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define F_DATA_PRTDSI__OE_SEL0        (* (reg8 *) F_DATA__PRTDSI__OE_SEL0) 
#define F_DATA_PRTDSI__OE_SEL1        (* (reg8 *) F_DATA__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define F_DATA_PRTDSI__OUT_SEL0       (* (reg8 *) F_DATA__PRTDSI__OUT_SEL0) 
#define F_DATA_PRTDSI__OUT_SEL1       (* (reg8 *) F_DATA__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define F_DATA_PRTDSI__SYNC_OUT       (* (reg8 *) F_DATA__PRTDSI__SYNC_OUT) 


#if defined(F_DATA__INTSTAT)  /* Interrupt Registers */

    #define F_DATA_INTSTAT                (* (reg8 *) F_DATA__INTSTAT)
    #define F_DATA_SNAP                   (* (reg8 *) F_DATA__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_F_DATA_H */


/* [] END OF FILE */
