/*******************************************************************************
* File Name: W_CLK.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_W_CLK_H) /* Pins W_CLK_H */
#define CY_PINS_W_CLK_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "W_CLK_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 W_CLK__PORT == 15 && ((W_CLK__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    W_CLK_Write(uint8 value) ;
void    W_CLK_SetDriveMode(uint8 mode) ;
uint8   W_CLK_ReadDataReg(void) ;
uint8   W_CLK_Read(void) ;
uint8   W_CLK_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define W_CLK_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define W_CLK_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define W_CLK_DM_RES_UP          PIN_DM_RES_UP
#define W_CLK_DM_RES_DWN         PIN_DM_RES_DWN
#define W_CLK_DM_OD_LO           PIN_DM_OD_LO
#define W_CLK_DM_OD_HI           PIN_DM_OD_HI
#define W_CLK_DM_STRONG          PIN_DM_STRONG
#define W_CLK_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define W_CLK_MASK               W_CLK__MASK
#define W_CLK_SHIFT              W_CLK__SHIFT
#define W_CLK_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define W_CLK_PS                     (* (reg8 *) W_CLK__PS)
/* Data Register */
#define W_CLK_DR                     (* (reg8 *) W_CLK__DR)
/* Port Number */
#define W_CLK_PRT_NUM                (* (reg8 *) W_CLK__PRT) 
/* Connect to Analog Globals */                                                  
#define W_CLK_AG                     (* (reg8 *) W_CLK__AG)                       
/* Analog MUX bux enable */
#define W_CLK_AMUX                   (* (reg8 *) W_CLK__AMUX) 
/* Bidirectional Enable */                                                        
#define W_CLK_BIE                    (* (reg8 *) W_CLK__BIE)
/* Bit-mask for Aliased Register Access */
#define W_CLK_BIT_MASK               (* (reg8 *) W_CLK__BIT_MASK)
/* Bypass Enable */
#define W_CLK_BYP                    (* (reg8 *) W_CLK__BYP)
/* Port wide control signals */                                                   
#define W_CLK_CTL                    (* (reg8 *) W_CLK__CTL)
/* Drive Modes */
#define W_CLK_DM0                    (* (reg8 *) W_CLK__DM0) 
#define W_CLK_DM1                    (* (reg8 *) W_CLK__DM1)
#define W_CLK_DM2                    (* (reg8 *) W_CLK__DM2) 
/* Input Buffer Disable Override */
#define W_CLK_INP_DIS                (* (reg8 *) W_CLK__INP_DIS)
/* LCD Common or Segment Drive */
#define W_CLK_LCD_COM_SEG            (* (reg8 *) W_CLK__LCD_COM_SEG)
/* Enable Segment LCD */
#define W_CLK_LCD_EN                 (* (reg8 *) W_CLK__LCD_EN)
/* Slew Rate Control */
#define W_CLK_SLW                    (* (reg8 *) W_CLK__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define W_CLK_PRTDSI__CAPS_SEL       (* (reg8 *) W_CLK__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define W_CLK_PRTDSI__DBL_SYNC_IN    (* (reg8 *) W_CLK__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define W_CLK_PRTDSI__OE_SEL0        (* (reg8 *) W_CLK__PRTDSI__OE_SEL0) 
#define W_CLK_PRTDSI__OE_SEL1        (* (reg8 *) W_CLK__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define W_CLK_PRTDSI__OUT_SEL0       (* (reg8 *) W_CLK__PRTDSI__OUT_SEL0) 
#define W_CLK_PRTDSI__OUT_SEL1       (* (reg8 *) W_CLK__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define W_CLK_PRTDSI__SYNC_OUT       (* (reg8 *) W_CLK__PRTDSI__SYNC_OUT) 


#if defined(W_CLK__INTSTAT)  /* Interrupt Registers */

    #define W_CLK_INTSTAT                (* (reg8 *) W_CLK__INTSTAT)
    #define W_CLK_SNAP                   (* (reg8 *) W_CLK__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_W_CLK_H */


/* [] END OF FILE */
